rio_clear_locks
Prev | Enumeration and Discovery | Next

## Name

rio_clear_locks — Release all host locks and signal enumeration complete

## Synopsis

`int rio_clear_locks (` | struct rio_mport * | port`)`;

## Arguments

`port`

  Master port to issue transaction

## Description

Marks the component tag CSR on each device with the enumeration complete flag. When complete, it then release the host locks on each device. Returns 0 on success or `-EINVAL` on failure.

Prev | Up | Next
rio_local_set_device_id | Home | rio_enum_host